reset
set terminal pdfcairo enhanced font 'Serif,13' size 4.5,2.3
set encoding utf8
set palette @MATLAB

set grid
set mxtics 5
set mytics 5
unset colorbox

# set style line 11 pt 2 lw 1.1 lc rgb "#BC1212"
# set style line 22 pt 6 lw 1.1 lc rgb "#66AB66"
# set style line 33 lw 1.1 lc rgb "#6666AB"

tlw = 1.1
set style line 11 lw tlw lc rgb "#0080FF" dt 1
set style line 22 lw tlw lc rgb "#66CC66" dt 4
set style line 33 lw tlw lc rgb "#FF8000" dt 1

set style line 111 ps 0.7 lw tlw lc rgb "#0080FF" pt 9
set style line 222 ps 0.7 lw tlw lc rgb "#66CC66" pt 7
set style line 333 ps 0.7 lw tlw lc rgb "#FF8000"


set key at 0.008, 1.5e6 font ",10"

set mxtics 5
set mytics 5

#set grid


set xlabel "W (m)"
set ylabel "p (Pa)"

c1 = 7/7.8
c2 = 0.6/6.7

u1 = 1. / 1000
u2 = 9.81e6

set xtics 2e-3
set ytics 1e6
set yrange [0:5e6]

set format y "%.0s·10^{%T}"


set output "vordlus2.pdf"
plot 'vordlusandmed.dat' ind 0 u ($1*c1*u1):($2*c2*u2) tit "Ivanov's approximation" w p ls 111,\
                      '' ind 1 u ($1*c1*u1):($2*c2*u2) tit "Mises" w p ls 222,\
                      '' ind 2 u ($1*c1*u1):($2*c2*u2) tit "Ohashi and Murakami" smooth csplines w l ls 33


set ytics 1 format "%g"
set yrange [0:5]
set ylabel 'p (MPa)'
set key at 0.008,1.5


set output "vordlus.pdf"
plot 'vordlusandmed.dat' ind 0 u ($1*c1*u1):($2*c2*u2/1e6) tit "Ivanov's approximation" w p ls 111 ,\
                      '' ind 1 u ($1*c1*u1):($2*c2*u2/1e6) tit "Mises" w p ls 222,\
                      '' ind 2 u ($1*c1*u1):($2*c2*u2/1e6) tit "Ohashi and Murakami" smooth csplines w l ls 33,\
      'pw0_romb_vordlus2.dat' u ($2):($1/1e6) ev 1 tit "Diamond" w linesp lw 1.1 ps 0.3 lc rgb "red" pt 12





set ytics 0.4
set xtics 2e-2
set yrange [0:1.5]


set key at 0.08,0.3

set output "vordlus_rt.pdf"
plot 'pw0tresca.dat' u ($2):($1/1e6) tit "Tresca"  w linesp lw 1.1 ps 0.3 lc rgb "blue" pt 6,\
     'pw0romb.dat'   u ($2):($1/1e6) tit "Diamond" w linesp lw 1.1 ps 0.3 lc rgb "red" pt 12
